DBIx::SearchBuilder::Record::Cachable(3pm)

NAME
DBIx::SearchBuilder::Record::Cachable - Records with caching behavior

SYNOPSIS
  package MyRecord;
  use base qw/DBIx::SearchBuilder::Record::Cachable/;

DESCRIPTION
This module subclasses the main DBIx::SearchBuilder::Record package to add a caching layer.

The public interface remains the same, except that records which have been loaded in the last few seconds may be reused by subsequent fetch or load methods without retrieving them from the database.

METHODS

  FlushCache
This class method flushes the _global_ DBIx::SearchBuilder::Record::Cachable cache. All caches are immediately expired.

  _FlushKeyCache
Blow away this record type's key cache

  _CacheConfig
You can override this method to change the duration of the caching from the default of 5 seconds.

For example, to cache records for up to 30 seconds, add the following method to your class:

  sub _CacheConfig {
      { 'cache_for_sec' => 30 }
  }